<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_meta_format.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>vx_meta_format.h</h1><a href="vx__meta__format_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * Copyright (c) 2012-2016 The Khronos Group Inc.</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
<a name="l00005"></a>00005 <span class="comment"> * copy of this software and/or associated documentation files (the</span>
<a name="l00006"></a>00006 <span class="comment"> * &quot;Materials&quot;), to deal in the Materials without restriction, including</span>
<a name="l00007"></a>00007 <span class="comment"> * without limitation the rights to use, copy, modify, merge, publish,</span>
<a name="l00008"></a>00008 <span class="comment"> * distribute, sublicense, and/or sell copies of the Materials, and to</span>
<a name="l00009"></a>00009 <span class="comment"> * permit persons to whom the Materials are furnished to do so, subject to</span>
<a name="l00010"></a>00010 <span class="comment"> * the following conditions:</span>
<a name="l00011"></a>00011 <span class="comment"> *</span>
<a name="l00012"></a>00012 <span class="comment"> * The above copyright notice and this permission notice shall be included</span>
<a name="l00013"></a>00013 <span class="comment"> * in all copies or substantial portions of the Materials.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS</span>
<a name="l00016"></a>00016 <span class="comment"> * KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS</span>
<a name="l00017"></a>00017 <span class="comment"> * SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT</span>
<a name="l00018"></a>00018 <span class="comment"> *    https://www.khronos.org/registry/</span>
<a name="l00019"></a>00019 <span class="comment"> *</span>
<a name="l00020"></a>00020 <span class="comment"> * THE MATERIALS ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,</span>
<a name="l00021"></a>00021 <span class="comment"> * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF</span>
<a name="l00022"></a>00022 <span class="comment"> * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.</span>
<a name="l00023"></a>00023 <span class="comment"> * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY</span>
<a name="l00024"></a>00024 <span class="comment"> * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,</span>
<a name="l00025"></a>00025 <span class="comment"> * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE</span>
<a name="l00026"></a>00026 <span class="comment"> * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.</span>
<a name="l00027"></a>00027 <span class="comment"> */</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#ifndef VX_META_FORMAT_H_</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#define VX_META_FORMAT_H_</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00037"></a>00037 <span class="preprocessor">#endif</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span>
<a name="l00049"></a><a class="code" href="structtivx__meta__format__t.html">00049</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_vx_meta_format
<a name="l00050"></a>00050 {
<a name="l00052"></a>00052     <a class="code" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a> base;
<a name="l00053"></a>00053 
<a name="l00055"></a>00055     <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> size;
<a name="l00057"></a><a class="code" href="structtivx__meta__format__t.html#a7f025d0544a3d7c79d5d7ca4801c5a66">00057</a>     <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type;
<a name="l00058"></a>00058 
<a name="l00060"></a>00060     <a class="code" href="vx__types_8h.html#a107c762598d0640a0a1fc140f21b1b25" title="A user-defined callback function to set the valid rectangle of an output image.">vx_kernel_image_valid_rectangle_f</a> valid_rect_callback;
<a name="l00061"></a>00061 
<a name="l00064"></a><a class="code" href="structtivx__meta__format__t_1_1image.html">00064</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1image.html">image</a> {
<a name="l00066"></a>00066         <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> width;
<a name="l00068"></a>00068         <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> height;
<a name="l00070"></a><a class="code" href="structtivx__meta__format__t_1_1image.html#afb1eb23b53cf635630c4f34dab716cea">00070</a>         <a class="code" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8" title="Used to hold a VX_DF_IMAGE code to describe the pixel format and color space.">vx_df_image</a> format;
<a name="l00071"></a>00071     } img;
<a name="l00072"></a>00072 
<a name="l00075"></a><a class="code" href="structtivx__meta__format__t_1_1pyramid.html">00075</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1pyramid.html">pyramid</a> {
<a name="l00077"></a>00077         <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> width;
<a name="l00079"></a>00079         <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> height;
<a name="l00081"></a>00081         <a class="code" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8" title="Used to hold a VX_DF_IMAGE code to describe the pixel format and color space.">vx_df_image</a> format;
<a name="l00083"></a>00083         <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> levels;
<a name="l00085"></a><a class="code" href="structtivx__meta__format__t_1_1pyramid.html#a92fd5c1c67657805a04442ef65399a55">00085</a>         <a class="code" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d" title="A 32-bit float value.">vx_float32</a> scale;
<a name="l00086"></a>00086     } pmd;
<a name="l00087"></a>00087 
<a name="l00090"></a><a class="code" href="structtivx__meta__format__t_1_1scalar.html">00090</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1scalar.html">scalar</a> {
<a name="l00092"></a><a class="code" href="structtivx__meta__format__t_1_1scalar.html#ab606a403f802860d5fa4740537548f98">00092</a>         <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type;
<a name="l00093"></a>00093     } sc;
<a name="l00094"></a>00094 
<a name="l00097"></a><a class="code" href="structtivx__meta__format__t_1_1array.html">00097</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1array.html">array</a> {
<a name="l00099"></a>00099         <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> item_type;
<a name="l00101"></a><a class="code" href="structtivx__meta__format__t_1_1array.html#a88ad01a0eee35f62a0d4c523b7049392">00101</a>         <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> capacity;
<a name="l00102"></a>00102     } arr;
<a name="l00103"></a>00103 
<a name="l00106"></a><a class="code" href="structtivx__meta__format__t_1_1matrix.html">00106</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1matrix.html">matrix</a> {
<a name="l00108"></a><a class="code" href="structtivx__meta__format__t_1_1matrix.html#a5caac3b8e51ccacf4067f50fbdc94485">00108</a>         <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type;
<a name="l00110"></a><a class="code" href="structtivx__meta__format__t_1_1matrix.html#a00e8677749d745fd955ef7e620e7a0ac">00110</a>         <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> rows;
<a name="l00112"></a><a class="code" href="structtivx__meta__format__t_1_1matrix.html#acc77c7d6aaf1a6bc5a5cf33f5b2b5454">00112</a>         <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> cols;
<a name="l00113"></a>00113     } mat;
<a name="l00114"></a>00114 
<a name="l00117"></a><a class="code" href="structtivx__meta__format__t_1_1distribution.html">00117</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1distribution.html">distribution</a> {
<a name="l00119"></a><a class="code" href="structtivx__meta__format__t_1_1distribution.html#ad288cba85b04aee3231fba6888917a07">00119</a>         <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> bins;
<a name="l00121"></a><a class="code" href="structtivx__meta__format__t_1_1distribution.html#ae8135ef9a532d86d56a3f0d93702c6cb">00121</a>         <a class="code" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737" title="A 32-bit signed value.">vx_int32</a> offset;
<a name="l00123"></a><a class="code" href="structtivx__meta__format__t_1_1distribution.html#aa9da44340b5d9670528b5aa1a993cd23">00123</a>         <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> range;
<a name="l00124"></a>00124     } dist;
<a name="l00125"></a>00125 
<a name="l00128"></a><a class="code" href="structtivx__meta__format__t_1_1__remap.html">00128</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1__remap.html">_remap</a> {
<a name="l00130"></a><a class="code" href="structtivx__meta__format__t_1_1__remap.html#aa206223b1a20b1d2545c7aa67848e84b">00130</a>         <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> src_width;
<a name="l00132"></a><a class="code" href="structtivx__meta__format__t_1_1__remap.html#a88d9c7876a111c24905efd34a50ed11b">00132</a>         <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> src_height;
<a name="l00134"></a><a class="code" href="structtivx__meta__format__t_1_1__remap.html#a0ac62ee48e78ca46a3ea873763a23b4f">00134</a>         <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> dst_width;
<a name="l00136"></a><a class="code" href="structtivx__meta__format__t_1_1__remap.html#a56a57378c1a756335209e88c1f127060">00136</a>         <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> dst_height;
<a name="l00137"></a>00137     } remap;
<a name="l00138"></a>00138 
<a name="l00141"></a><a class="code" href="structtivx__meta__format__t_1_1__lut.html">00141</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1__lut.html">_lut</a> {
<a name="l00143"></a><a class="code" href="structtivx__meta__format__t_1_1__lut.html#a3afd0b6ff9a41c9699d099ca65839d16">00143</a>         <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type;
<a name="l00145"></a><a class="code" href="structtivx__meta__format__t_1_1__lut.html#a5dcf00b6c712a24d59c4e12ba42da0ff">00145</a>         <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> count;
<a name="l00146"></a>00146     } lut;
<a name="l00147"></a>00147 
<a name="l00150"></a><a class="code" href="structtivx__meta__format__t_1_1threshold.html">00150</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1threshold.html">threshold</a> {
<a name="l00152"></a><a class="code" href="structtivx__meta__format__t_1_1threshold.html#a1df0a306a79c596d43eab371f9b11740">00152</a>         <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type;
<a name="l00153"></a>00153     } thres;
<a name="l00154"></a>00154 
<a name="l00157"></a><a class="code" href="structtivx__meta__format__t_1_1object__array.html">00157</a>     <span class="keyword">struct </span><a class="code" href="structtivx__meta__format__t_1_1object__array.html">object_array</a> {
<a name="l00159"></a><a class="code" href="structtivx__meta__format__t_1_1object__array.html#a883b42915b27969a837c52cc750f1f55">00159</a>         <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> item_type;
<a name="l00161"></a><a class="code" href="structtivx__meta__format__t_1_1object__array.html#a5ce1e238600817586e90c207586acffd">00161</a>         <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> num_items;
<a name="l00162"></a>00162     } objarr;
<a name="l00163"></a>00163 
<a name="l00164"></a>00164 } <a class="code" href="structtivx__meta__format__t.html" title="Meta Format object internal state.">tivx_meta_format_t</a>;
<a name="l00165"></a>00165 
<a name="l00166"></a>00166 
<a name="l00173"></a>00173 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="vx__meta__format_8h.html#acf128060353911d685e302c52748fe95" title="Releases a meta-format object.">vxReleaseMetaFormat</a>(<a class="code" href="vx__types_8h.html#abfa72c9eff71470a4c96e3cab7dbe838" title="This object is used by output validation functions to specify the meta data of the...">vx_meta_format</a> *meta);
<a name="l00174"></a>00174 
<a name="l00184"></a>00184 <a class="code" href="vx__types_8h.html#abfa72c9eff71470a4c96e3cab7dbe838" title="This object is used by output validation functions to specify the meta data of the...">vx_meta_format</a> <a class="code" href="vx__meta__format_8h.html#a87b348423748d94e37775e4fe8e8470a" title="Creates a metaformat object.">vxCreateMetaFormat</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context);
<a name="l00185"></a>00185 
<a name="l00186"></a>00186 
<a name="l00187"></a>00187 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00188"></a>00188 <span class="preprocessor"></span>}
<a name="l00189"></a>00189 <span class="preprocessor">#endif</span>
<a name="l00190"></a>00190 <span class="preprocessor"></span>
<a name="l00191"></a>00191 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
